Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.io
Interface InputSynapse

All Superinterfaces:
  PlugInListener

All Known Implementing Classes:
  FileInputSynapse, ImageInputSynapse, InputConnector, InputSwitchSynapse, JDBCInputSynapse, LearningSwitch, MemoryInputSynapse, MultipleInputSynapse, StreamInputSynapse, URLInputSynapse, XLSInputSynapse, YahooFinanceInputSynapse

    public interface InputSynapse

extends PlugInListener

Method Summary
`char` | `getDecimalPoint()`
`int` | `getFirstCol()`
`int` | `getFirstRow()`
`int` | `getLastCol()`
`int` | `getLastRow()`
`void` | `gotoFirstLine()`
`void` | `gotoLine(int numLine)`
`boolean` | `isBuffered()`
`boolean` | `isEOF()`
`boolean` | `isStepCounter()` Returns true if this input layer is an active counter of the steps.
`void` | `readAll()`
`void` | `resetInput()`
`void` | `setBuffered(boolean newBuffered)`
`void` | `setDecimalPoint(char dp)`
`void` | `setFirstCol(int numcol)`
`void` | `setFirstRow(int newFirstRow)`
`void` | `setLastCol(int numcol)`
`void` | `setLastRow(int newLastRow)`
`void` | `setStepCounter(boolean newStepCounter)` Set to true if this input layer is an active counter of the steps.

Methods inherited from interface org.joone.util.PlugInListener
`dataChanged`

Method Detail

### getDecimalPoint

    char getDecimalPoint()

### getFirstRow

    int getFirstRow()

### getLastRow

    int getLastRow()

### gotoFirstLine

    void gotoFirstLine()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### gotoLine

    void gotoLine(int numLine)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isBuffered

    boolean isBuffered()

### isEOF

    boolean isEOF()

### readAll

    void readAll()

### setBuffered

    void setBuffered(boolean newBuffered)

### setDecimalPoint

    void setDecimalPoint(char dp)

### setFirstRow

    void setFirstRow(int newFirstRow)

### setLastRow

    void setLastRow(int newLastRow)

### setFirstCol

    void setFirstCol(int numcol)
                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setLastCol

    void setLastCol(int numcol)
                    throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getFirstCol

    int getFirstCol()

### getLastCol

    int getLastCol()

### resetInput

    void resetInput()

### isStepCounter

    boolean isStepCounter()

  Returns true if this input layer is an active counter of the steps. Warning: in a neural net there can be only one StepCounter element! (10/04/00 23.23.26)

  Returns:
    boolean

### setStepCounter

    void setStepCounter(boolean newStepCounter)

  Set to true if this input layer is an active counter of the steps. Warning: in a neural net there can be only one StepCounter element! (10/04/00 23.23.26)

  Parameters:
    `newStepCounter` - boolean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net